org.apache.storm.sql.planner.rel

## Class StormStreamInsertRelBase

- java.lang.Object
- - org.apache.calcite.rel.AbstractRelNode
  - - org.apache.calcite.rel.SingleRel
    - - org.apache.calcite.rel.core.TableModify
      - - org.apache.storm.sql.planner.rel.StormStreamInsertRelBase

- All Implemented Interfaces:
    Cloneable, org.apache.calcite.plan.RelOptNode, org.apache.calcite.rel.RelNode, StormRelNode
  Direct Known Subclasses:
    StreamsStreamInsertRel

      public abstract class StormStreamInsertRelBase
      extends org.apache.calcite.rel.core.TableModify
      implements StormRelNode

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.calcite.rel.core.TableModify

      `org.apache.calcite.rel.core.TableModify.Operation`

    - ### Nested classes/interfaces inherited from interface org.apache.calcite.rel.RelNode

      `org.apache.calcite.rel.RelNode.Context`

  - ### Field Summary

    - ### Fields inherited from class org.apache.calcite.rel.core.TableModify

      `catalogReader, table`

    - ### Fields inherited from class org.apache.calcite.rel.SingleRel

      `input`

    - ### Fields inherited from class org.apache.calcite.rel.AbstractRelNode

      `digest, id, rowType, traitSet`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StormStreamInsertRelBase(org.apache.calcite.plan.RelOptCluster cluster, org.apache.calcite.plan.RelTraitSet traits, org.apache.calcite.plan.RelOptTable table, org.apache.calcite.prepare.Prepare.CatalogReader catalogReader, org.apache.calcite.rel.RelNode child, org.apache.calcite.rel.core.TableModify.Operation operation, List<String> updateColumnList, List<org.apache.calcite.rex.RexNode> sourceExpressionList, boolean flattened)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.calcite.rel.core.TableModify

      `computeSelfCost, deriveRowType, explainTerms, getCatalogReader, getExpectedInputRowType, getOperation, getSourceExpressionList, getTable, getUpdateColumnList, isDelete, isFlattened, isInsert, isMerge, isUpdate`

    - ### Methods inherited from class org.apache.calcite.rel.SingleRel

      `childrenAccept, estimateRowCount, getInput, getInputs, replaceInput`

    - ### Methods inherited from class org.apache.calcite.rel.AbstractRelNode

      `accept, accept, collectVariablesSet, collectVariablesUsed, computeDigest, computeSelfCost, copy, explain, getChildExps, getCluster, getCollationList, getConvention, getCorrelVariable, getDescription, getDigest, getId, getInput, getQuery, getRelTypeName, getRows, getRowType, getTraitSet, getVariablesSet, getVariablesStopped, isDistinct, isKey, isValid, isValid, metadata, onRegister, recomputeDigest, register, sole, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.calcite.rel.RelNode

      `accept, accept, childrenAccept, collectVariablesSet, collectVariablesUsed, computeSelfCost, computeSelfCost, copy, estimateRowCount, explain, getChildExps, getCollationList, getConvention, getCorrelVariable, getExpectedInputRowType, getInput, getInputs, getQuery, getRelTypeName, getRows, getRowType, getTable, getVariablesSet, getVariablesStopped, isDistinct, isKey, isValid, isValid, metadata, onRegister, recomputeDigest, register, replaceInput`

    - ### Methods inherited from interface org.apache.calcite.plan.RelOptNode

      `getCluster, getDescription, getDigest, getId, getTraitSet`

- - ### Constructor Detail

    - #### StormStreamInsertRelBase

          protected StormStreamInsertRelBase(org.apache.calcite.plan.RelOptCluster cluster,
                                             org.apache.calcite.plan.RelTraitSet traits,
                                             org.apache.calcite.plan.RelOptTable table,
                                             org.apache.calcite.prepare.Prepare.CatalogReader catalogReader,
                                             org.apache.calcite.rel.RelNode child,
                                             org.apache.calcite.rel.core.TableModify.Operation operation,
                                             List<String> updateColumnList,
                                             List<org.apache.calcite.rex.RexNode> sourceExpressionList,
                                             boolean flattened)

Copyright © 2021 The Apache Software Foundation. All rights reserved.